> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get secure document type list

> Returns a list of objects representing all secure document types in KarmaCheck. Among other uses, it enables population of the supported document types in a list that users can select from and associate with the document that they are uploading.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /document/secure/type/list
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /document/secure/type/list:
    get:
      tags:
        - Secure documents
      summary: Get secure document type list
      description: >-
        Returns a list of objects representing all secure document types in
        KarmaCheck. Among other uses, it enables population of the supported
        document types in a list that users can select from and associate with
        the document that they are uploading.
      operationId: get-document-secure-type-list
      parameters: []
      responses:
        '200':
          description: Secure document types are listed in alphanumeric order by ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentType'
                x-examples:
                  Example 1:
                    - id: 06813017-94ef-4250-9083-375935ce9dc8
                      secureDocumentType: tin-check-result
                      displayName: TIN Check Results
                      displayInDashboard: 0
              examples:
                Example 1:
                  value:
                    - id: 06813017-94ef-4250-9083-375935ce9dc8
                      secureDocumentType: tin-check-result
                      displayName: TIN Check Results
        '403':
          description: Forbidden
        '500':
          description: Internal Server Error
components:
  schemas:
    DocumentType:
      title: DocumentType
      type: array
      items:
        type: object
        required:
          - id
          - secureDocumentType
          - displayName
        properties:
          id:
            $ref: '#/components/schemas/DocumentTypeID'
            description: >-
              The unique identifier for the secure document type. See [Secure
              document type](docs/reference/secure-document-type.md) for details
              about each possible document type.
          secureDocumentType:
            type: string
            enum:
              - tin-check-result
              - oig-verification-proof
              - provider-html-report
              - identification
              - candidate-disclosures-and-authorizations
              - cbsv-authorization
              - international-report
              - education-document
              - employment-document
              - ohs-breath-alcohol
              - ohs-chain-of-custody
              - ohs-occupational-health
              - ohs-participant-passport
              - ohs-result-certificate
              - search-result
            description: The name of the secure document type.
          displayName:
            type: string
            description: >-
              The name of the secure document type that's displayed to dashboard
              users.
    DocumentTypeID:
      title: DocumentTypeID
      type: string
      enum:
        - 06813017-94ef-4250-9083-375935ce9dc8
        - 4ad585b6-b087-11ec-9bf1-df77b62cb712
        - 7d25e1de-0b46-4a6c-bd06-d0b55526af08
        - 857d42f3-73b6-4588-8855-0ab49e376a84
        - candidate-disclosures-and-authorizations
        - cbsv-authorization
        - da070d09-b52f-4423-9c94-eff458ea3aa0
        - education-document
        - employment-document
        - ohs-breath-alcohol
        - ohs-chain-of-custody
        - ohs-occupational-health
        - ohs-participant-passport
        - ohs-result-certificate
        - search-result
      description: >-
        The ID of the document type that the secure document is categorized
        under. See [Secure document
        type](docs/reference/secure-document-type.md) for details about each
        possible document type.
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````